= darcs-fast-export(1)

== NAME

darcs-fast-export - darcs frontend to git fast-import

== SYNOPSIS

darcs-fast-export [<options>] <darcsrepo>

== DESCRIPTION

darcs-fast-export expects one argument, the path to the source darcs
repository. It will print the git fast-import format on standard output
(stdout).

The script can produce the fast-import stream format from the darcs
repository. It supports incremental conversion as well, via the
--import-marks / --export-marks switches.

Optionally the darcsrepo string may be a HTTP repository, in that case
only the patches are downloaded, not the pristine, speeding up a
one-time import.

== OPTIONS

-h, --help::
	Display usage.

--import-marks=<file>::
	Import marks from <file>. This is read at the beginning of the
	conversion at once. Use it if you want to continue an incremental
	conversion.

--export-marks=<file>::
	Export marks to <file> at the end of the conversion. It can be the
	same as the one for --import-marks as it is written only once at the
	end. Use it if you want to be able to incrementally update the target
	repository later.

--encoding=<encoding>::
	The encoding of the author names and commit messages in the repository.
	The default is utf-8. If it is not the default, it will be guessed.
	Given that it takes some time, you can explicitly specify it as an
	option to make the conversion faster. Content in the output will encoded
	as utf-8 and will be written that way to the target repository, unless
	the importer re-encodes it again to some other character set.

--working=<directory>::
	The conversion is done by applying the patches one by one and recording
	the state of the working directory. You can specify the path of this
	directory using this option.

--logfile=<logfile>::
	The output of external commands are redirected to a log file. You can
	specify the path of that file with this parameter.

--git-branch=<branch>::
	There is only one branch in one darcs repository, but the fast-import
	stream format allows multiple branches, thus the exporter has to name
	darcs's branch. The default value is 'refs/heads/master'.

--progress=<n>::
	Insert progress statements after every <n> patches, to be shown by the
	fast importer during import. The default value is '100'.

--authors-file=<file>::
	Read author transformations in old=new format from <file>.
